Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.stratum.scheduler
Class JobStoreConfig

    java.lang.Object
      org.apache.stratum.scheduler.JobStoreConfig

public class JobStoreConfig
extends java.lang.Object

This bean represents the settings used to assign jobstore properties for use in the Quartz scheduler.

Version:
  $Id: JobStoreConfig.java 264191 2005-08-29 18:07:52Z henning $
Author:
  John Thorhauer

Constructor Summary
`JobStoreConfig()` Default contructor

Method Summary
`java.lang.String` | `getClassName()` DOCUMENT ME!
`java.lang.String` | `getLoggerName()` DOCUMENT ME!
`void` | `setClassName(java.lang.String s)` This is the full package/class name of the class used for the Quartz jobstore.
`void` | `setLoggerName(java.lang.String s)` This is the reference name of the logger that has been registered with Quartz that will be used by the Quartz jobstore.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobStoreConfig

    public JobStoreConfig()

  Default contructor

Method Detail

### setLoggerName

    public void setLoggerName(java.lang.String s)

  This is the reference name of the logger that has been registered with Quartz that will be used by the Quartz jobstore.

  Parameters:
    `s` - logger name

### getLoggerName

    public java.lang.String getLoggerName()

  DOCUMENT ME!

  Returns:
    the name of the logger for the jobstore

### setClassName

    public void setClassName(java.lang.String s)

  This is the full package/class name of the class used for the Quartz jobstore.

  Parameters:
    `s` - the full package/class name used for the jobstore

### getClassName

    public java.lang.String getClassName()

  DOCUMENT ME!

  Returns:
    the full package/class name used for the jobstore

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.